#ifndef __IVManualMeshLoader_H__
#define __IVManualMeshLoader_H__


#include "Ogre.h"
#include "ObjMeshData.h"


class __declspec(dllexport) IVManualMeshLoader: public Ogre::ManualResourceLoader
{
	public:
		IVManualMeshLoader();
		IVManualMeshLoader(IVMeshData *mData);
		~IVManualMeshLoader(); 

		void loadResource(Ogre::Resource *resource);

		Ogre::AxisAlignedBox *getBoundingBox();
	private:
		IVMeshData *data;

};

#endif